Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/cancel_quotes \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 5663,
  "method": "private/cancel_quotes",
  "params": {
    "cancel_type": "delta",
    "min_delta": 0.4,
    "max_delta": 0.6
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/cancel_quotes"

payload = {
"jsonrpc": "2.0",
"id": 5663,
"method": "private/cancel_quotes",
"params": {
"cancel_type": "delta",
"min_delta": 0.4,
"max_delta": 0.6
}
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 5663,
method: 'private/cancel_quotes',
params: {cancel_type: 'delta', min_delta: 0.4, max_delta: 0.6}
})
};

fetch('https://test.deribit.com/api/v2/private/cancel_quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "result": 3,
  "id": 123
}

Query Parameters

detailed
boolean

When detailed is set to true, the output format is changed to include a list of all cancelled orders.

📖 Related Article: Detailed Response for Cancel Methods

Default: false

freeze_quotes
boolean

Whether or not to reject incoming quotes for 1 second after cancelling (false by default). Related to private/mass_quote request.

cancel_type
enum<string>
required

Type of cancel criteria.

Available options:
delta,
quote_set_id,
instrument,
instrument_kind,
currency,
currency_pair,
all
Example:

"delta"

min_delta
number

Min delta to cancel by delta (for cancel_type: delta).

Example:

0.4

max_delta
number

Max delta to cancel by delta (for cancel_type: delta).

Example:

0.6

quote_set_id
string

Unique identifier for the Quote set.

instrument_name
string

Instrument name.

kind
enum<string>

Instrument kind, "combo" for any combo or "any" for all. If not provided instruments of all kinds are considered Instrument kind: "future", "option", "spot", "future_combo", "option_combo", "combo" for any combo or "any" for all

Available options:
future,
option,
spot,
future_combo,
option_combo,
combo,
any
currency
enum<string>
required

The currency symbol Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR
currency_pair
enum<string>
required

The currency pair symbol Index identifier, matches (base) cryptocurrency with quote currency

Available options:
btc_usd,
eth_usd,
ada_usdc,
algo_usdc,
avax_usdc,
bch_usdc,
bnb_usdc,
btc_usdc,
btcdvol_usdc,
buidl_usdc,
doge_usdc,
dot_usdc,
eurr_usdc,
eth_usdc,
ethdvol_usdc,
link_usdc,
ltc_usdc,
near_usdc,
paxg_usdc,
shib_usdc,
sol_usdc,
steth_usdc,
ton_usdc,
trump_usdc,
trx_usdc,
uni_usdc,
usde_usdc,
usyc_usdc,
xrp_usdc,
btc_usdt,
eth_usdt,
eurr_usdt,
sol_usdt,
steth_usdt,
usdc_usdt,
usde_usdt,
btc_eurr,
btc_usde,
btc_usyc,
eth_btc,
eth_eurr,
eth_usde,
eth_usyc,
steth_eth,
paxg_btc,
drbfix-btc_usdc,
drbfix-eth_usdc

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
number
required

Total number of successfully cancelled quotes

Example:

3

id
integer

The id that was sent in the request